Bug 175996 - irq11 gets disabled after ohci1394 module insertion on Toshiba M40
irq11 gets disabled after ohci1394 module insertion on Toshiba M40
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 19:52 EST by Davide Rossetti
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 23:13:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Rossetti 2005-12-16 19:52:24 EST
Description of problem:

irq11 is disabled if I let the ohci1394 in. It's a

Dec 15 12:51:57 localhost kernel: Linux version 2.6.14-1.1653_FC4
(bhcompile@hs20-bc1-7.build.redhat.com) (
gcc version 4.0.2 20051125 (Red Hat 4.0.2-8)) #1 Tue Dec 13 21:32:09 EST 2005
....
Dec 15 12:52:08 localhost kernel: ohci1394: $Rev: 1313 $ Ben Collins
<bcollins@debian.org>
Dec 15 12:52:08 localhost kernel: ACPI: PCI Interrupt Link [LNKG] enabled at IRQ 6
Dec 15 12:52:08 localhost kernel: PCI: setting IRQ 6 as level-triggered
Dec 15 12:52:08 localhost kernel: ACPI: PCI Interrupt 0000:06:06.2[C] -> Link
[LNKG] -> GSI 6 (level, low)-> IRQ 6
Dec 15 12:52:08 localhost kernel: ohci1394: fw-host0: OHCI-1394 1.1 (PCI):
IRQ=[6]  MMIO=[b0000000-b00007ff]  Max Packet=[2048]
Dec 15 12:52:08 localhost kernel: ACPI: AC Adapter [AC] (off-line)
Dec 15 12:52:08 localhost kernel: ACPI: Battery Slot [BAT1] (battery present)
Dec 15 12:52:08 localhost kernel: ACPI: Power Button (FF) [PWRF]
Dec 15 12:52:08 localhost kernel: ACPI: Lid Switch [LID0]
Dec 15 12:52:08 localhost kernel: ACPI: Power Button (CM) [PWRB]
Dec 15 12:52:09 localhost kernel: ibm_acpi: ec object not found
Dec 15 12:52:09 localhost kernel: irq 11: nobody cared (try booting with the
"irqpoll" option)
Dec 15 12:52:09 localhost kernel:  [<c013af15>] __report_bad_irq+0x24/0x7f
Dec 15 12:52:09 localhost kernel:  [<c013aff0>] note_interrupt+0x62/0xa6
Dec 15 12:52:09 localhost kernel:  [<c013aa0d>] __do_IRQ+0xc4/0xd7
Dec 15 12:52:09 localhost kernel:  [<c010458d>] do_IRQ+0x66/0x82
Dec 15 12:52:09 localhost kernel:  [<c010306e>] common_interrupt+0x1a/0x20
Dec 15 12:52:09 localhost kernel:  [<c013a906>] handle_IRQ_event+0x17/0x5a
Dec 15 12:52:09 localhost kernel:  [<c013a9c1>] __do_IRQ+0x78/0xd7
Dec 15 12:52:09 localhost kernel:  [<c0104571>] do_IRQ+0x4a/0x82
Dec 15 12:52:09 localhost kernel:  =======================
Dec 15 12:52:09 localhost kernel:  [<c010306e>] common_interrupt+0x1a/0x20
Dec 15 12:52:09 localhost kernel:  [<f8a5007b>] ti_save_state+0x6b/0xdd
[yenta_socket]
Dec 15 12:52:09 localhost kernel:  [<c030a46a>] _spin_unlock_irqrestore+0xa/0xc
Dec 15 12:52:09 localhost kernel:  [<f8a6825d>] ohci_devctl+0x40a/0x5f7 [ohci1394]
Dec 15 12:52:09 localhost kernel:  [<f8abc933>] csr1212_fill_cache+0xdf/0x106
[ieee1394]
Dec 15 12:52:09 localhost kernel:  [<f8abca80>]
csr1212_generate_csr_image+0x126/0x249 [ieee1394]
Dec 15 12:52:09 localhost kernel:  [<f8ab3135>] hpsb_reset_bus+0x20/0x26 [ieee1394]
Dec 15 12:52:09 localhost kernel:  [<c0129d30>] worker_thread+0x182/0x22a
Dec 15 12:52:09 localhost kernel:  [<f8ab522c>] delayed_reset_bus+0x0/0xc0
[ieee1394]
Dec 15 12:52:09 localhost kernel:  [<c01176a4>] default_wake_function+0x0/0xc
Dec 15 12:52:09 localhost kernel:  [<c0129bae>] worker_thread+0x0/0x22a
Dec 15 12:52:09 localhost kernel:  [<c012d5eb>] kthread+0x87/0x8b
Dec 15 12:52:09 localhost kernel:  [<c012d564>] kthread+0x0/0x8b
Dec 15 12:52:09 localhost kernel:  [<c0101301>] kernel_thread_helper+0x5/0xb
Dec 15 12:52:09 localhost kernel: handlers:
Dec 15 12:52:09 localhost kernel: [<f898b705>] (ipw_isr+0x0/0xa5 [ipw2200])
Dec 15 12:52:09 localhost kernel: [<c027a4cb>] (usb_hcd_irq+0x0/0x48)
Dec 15 12:52:09 localhost last message repeated 2 times
Dec 15 12:52:09 localhost kernel: [<f8a4f952>] (yenta_interrupt+0x0/0xaf
[yenta_socket])
Dec 15 12:52:09 localhost kernel: Disabling IRQ #11



00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 1 (rev 04)
00:1c.1 PCI bridge: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI
Express Port 2 (rev 04)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 04)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 04)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 04)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 04)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d4)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 04)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem
Controller (rev 04)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 04)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 04)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]
02:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8036 Fast Ethernet
Controller (rev 10)
06:04.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
06:06.0 CardBus bridge: Texas Instruments PCIxx21/x515 Cardbus Controller
06:06.2 FireWire (IEEE 1394): Texas Instruments OHCI Compliant IEEE 1394 Host
Controller
06:06.3 Mass storage controller: Texas Instruments PCIxx21 Integrated FlashMedia
Controller
06:06.4 Class 0805: Texas Instruments PCI6411, PCI6421, PCI6611, PCI6621,
PCI7411, PCI7421, PCI7611, PCI7621 Secure Digital (SD) Controller


this is irq layout using sky2.ko and disabling insertion on ohci1394 (just
renaming ohci1394.ko driver in /lib/... dir)

ohci1394 has irq6 but it interferes somehow with irq11, I guess...

cat /proc/interrupts
           CPU0
  0:     879687          XT-PIC  timer
  1:       5655          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  5:          0          XT-PIC  Intel ICH6 Modem
  8:          1          XT-PIC  rtc
  9:         17          XT-PIC  acpi
 10:     261378          XT-PIC  Intel ICH6, ehci_hcd:usb1, uhci_hcd:usb2
 11:       5246          XT-PIC  uhci_hcd:usb3, uhci_hcd:usb4, uhci_hcd:usb5,
yenta, sky2
 12:       6635          XT-PIC  i8042
 14:      23156          XT-PIC  libata
 15:     204480          XT-PIC  ide1
NMI:          0
ERR:          0





Version-Release number of selected component (if applicable):

2.6.11-1.1369_FC4, 2.6.14-1.1644_FC4, 2.6.14-1.1653_FC4

How reproducible:
always

Steps to Reproduce:
1.just boot
2.no net, as the net card is silent without irq11 support
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2006-02-03 02:09:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 Davide Rossetti 2006-02-21 13:20:35 EST
it seems ok now:

Linux version 2.6.15-1.1831_FC4 (bhcompile@tweety.build.redhat.com) (gcc version
4.0.2 20051125 (Red Hat 4
.0.2-8)) #1 Tue Feb 7 13:37:42 EST 2006
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000003ffdfffc (usable)
 BIOS-e820: 000000003ffdfffc - 000000003fffffc0 (ACPI data)
 BIOS-e820: 000000003fffffc0 - 0000000040000000 (ACPI NVS)
 BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
127MB HIGHMEM available.
896MB LOWMEM available.
Using x86 segment limits to approximate NX protection
On node 0 totalpages: 262111
  DMA zone: 4096 pages, LIFO batch:0
  DMA32 zone: 0 pages, LIFO batch:0
  Normal zone: 225280 pages, LIFO batch:31
  HighMem zone: 32735 pages, LIFO batch:7
ACPI: RSDP (v000 INSYDE                                ) @ 0x000e5010
ACPI: RSDT (v001 INSYDE RSDT_000 0x00000100 ABCD 0x00010200) @ 0x3fff8a69
ACPI: FADT (v001 INSYDE FACP_000 0x00000100 0000 0x00010200) @ 0x3ffffb30
ACPI: MCFG (v001 INSYDE MCFG_000 0x30303030 0000 0x30303030) @ 0x3ffffbc0
ACPI: SSDT (v001  PmRef  Cpu0Ist 0x00003000 INTL 0x20030522) @ 0x3fff8c75
ACPI: SSDT (v001  PmRef  Cpu0Cst 0x00003001 INTL 0x20030522) @ 0x3fff8a9d
ACPI: DSDT (v001 TOSINV SONOMA   0x00001004 INTL 0x02002036) @ 0x00000000
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC disabled (-2); pass 'lapic' to re-enable.
...
ieee1394: Initialized config rom entry `ip1394'
ohci1394: $Rev: 1313 $ Ben Collins <bcollins@debian.org>
ACPI: PCI Interrupt Link [LNKG] enabled at IRQ 6
PCI: setting IRQ 6 as level-triggered
ACPI: PCI Interrupt 0000:06:06.2[C] -> Link [LNKG] -> GSI 6 (level, low) -> IRQ 6
ohci1394: fw-host0: OHCI-1394 1.1 (PCI): IRQ=[11]  MMIO=[b0000000-b00007ff]  Max
Packet=[2048]
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[00080da0d1bf13f0]

maybe no lapic is the winner here.

you can close it as of for me

regards

Note You need to log in before you can comment on or make changes to this bug.